Bug 625188 - MacBookPro 7,1: bad default volumes, needs snd_pci_quirk
MacBookPro 7,1: bad default volumes, needs snd_pci_quirk
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
:
Depends On:
Blocks: AlsaVolume
  Show dependency treegraph
 
Reported: 2010-08-18 15:53 EDT by Will Woods
Modified: 2012-08-16 14:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 14:29:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
alsa-info.txt (32.77 KB, text/plain)
2010-08-18 15:53 EDT, Will Woods
no flags Details
kernel-2.6.35.2-hda-cirrus-mbp71.patch (632 bytes, patch)
2010-08-18 15:54 EDT, Will Woods
no flags Details | Diff

  None (edit)
Description Will Woods 2010-08-18 15:53:35 EDT
Created attachment 439493 [details]
alsa-info.txt

New MacBookPro7,1 has an audio chipset similar to (but with a different subsystem ID than) the mbp55 - I get no audio unless I put the following in /etc/modprobe.d/sound.conf:
  options snd_hda_intel model=mbp55
I added SND_PCI_QUIRK(0x10de, 0xcb89, "MacBookPro 7,1", CS420X_MBP55) to sound/pci/hda/patch_cirrus.c and the device (mostly) works as expected.

As for the mixer problem - it starts up with the "Front Speaker" mixer element muted and at 0 volume. Using alsamixer / alsactl store I've got this fixed as well.
Comment 1 Will Woods 2010-08-18 15:54:06 EDT
Created attachment 439494 [details]
kernel-2.6.35.2-hda-cirrus-mbp71.patch
Comment 2 Adam Williamson 2010-11-05 17:59:44 EDT
you could try submitting this upstream also - when I came across a similar situation I sent the patch upstream and it was adopted pretty promptly.

it also means I have a bona fide kernel commit to my name :P



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Will Woods 2010-11-05 18:05:28 EDT
I'd like to figure out a fix for the default mixer settings being wrong as well - but yeah, perhaps this simple patch is ready for upstream by itself.
Comment 4 Fedora End Of Life 2012-08-16 14:29:09 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.